Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions
Lucene::UTF8Result Class Reference

`#include <UnicodeUtils.h>`

Inheritance diagram for Lucene::UTF8Result:

## Public Member Functions

virtual | ~UTF8Result ()
Public Member Functions inherited from Lucene::TranslationResult< uint8_t >
| TranslationResult ()
void | setLength (int32_t length)
void | copyText (const TranslationResult &other)
void | copyText (boost::shared_ptr< TranslationResult< uint8_t > > other)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Additional Inherited Members

Data Fields inherited from Lucene::TranslationResult< uint8_t >
Array< uint8_t > | result
int32_t | length
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ ~UTF8Result()

virtual Lucene::UTF8Result::~UTF8Result | ( |  | ) |

virtual

The documentation for this class was generated from the following file:

- UnicodeUtils.h

clucene.sourceforge.net